> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ITSM Group by ID

> Retrieve a single ITSM group by its Leen ID.



## OpenAPI

````yaml get /itsm/groups/{group_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /itsm/groups/{group_id}:
    get:
      tags:
        - ITSM
        - Groups
      summary: Get ITSM Group by ID
      description: Retrieve a single ITSM group by its Leen ID.
      operationId: get_group_by_id
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            format: uuid
            title: Group Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScopedITSMGroupRespModel'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    ScopedITSMGroupRespModel:
      properties:
        description:
          description: Description of the Group
          title: Description
          type: string
        id:
          description: Leen's UUID for the Group
          format: uuid
          title: Id
          type: string
        name:
          description: Name of the Group
          title: Name
          type: string
        status:
          description: Status of the Group (e.g., ACTIVE, INACTIVE, DELETED)
          title: Status
          type: string
        vendor_attributes:
          $ref: '#/components/schemas/ITSMGroupVendorAttributes'
          description: Vendor-specific attributes of the Group
      required:
        - id
        - name
        - description
        - status
        - vendor_attributes
      title: ITSM Group
      type: object
    ErrorResponse:
      properties:
        code:
          description: Error code
          title: Code
          type: string
        detail:
          description: List of error dictionaries
          items:
            additionalProperties: true
            type: object
          title: Detail
          type: array
        message:
          description: Error message
          title: Message
          type: string
        type:
          description: Type of error
          title: Type
          type: string
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
      type: object
    ITSMGroupVendorAttributes:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Creation time of the Group in Vendor
          title: Created At
        data:
          anyOf:
            - discriminator:
                mapping:
                  JIRA: '#/components/schemas/JiraGroupVendorAttributesData'
                  SERVICENOW_ITSM: '#/components/schemas/ServiceNowGroupVendorAttributesData'
                propertyName: vendor
              oneOf:
                - $ref: '#/components/schemas/JiraGroupVendorAttributesData'
                - $ref: '#/components/schemas/ServiceNowGroupVendorAttributesData'
            - type: 'null'
          description: Vendor-specific data associated with the Group
          title: Data
        id:
          description: Vendor's ID for the Group
          title: Id
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Last update time of the Group in Vendor
          title: Updated At
        vendor:
          description: Vendor name
          title: Vendor
          type: string
      required:
        - id
        - vendor
      title: ITSM Group Vendor Attributes
      type: object
    JiraGroupVendorAttributesData:
      properties:
        vendor:
          const: JIRA
          default: JIRA
          title: Vendor
          type: string
      title: JiraGroupVendorAttributesData
      type: object
    ServiceNowGroupVendorAttributesData:
      properties:
        managerSysId:
          anyOf:
            - type: string
            - type: 'null'
          title: Managersysid
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        vendor:
          const: SERVICENOW_ITSM
          default: SERVICENOW_ITSM
          title: Vendor
          type: string
      title: ServiceNowGroupVendorAttributesData
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.